## purity 1

=== Makefile ===
# makefile for the purity test
#
# edit all appropriate paths, and then make
#
# make sure the definitions in pt.h are correct before making


# BINDIR: the directory where the binary will go.
BINDIR = /usr/games

#   LIBDIR: the directory where the test datafiles are kept
LIBDIR = /usr/games/lib/pt

# options for the c compiler (-g, -O, etc.)
# Specify -DSYS for sysV, -DLINUX for linux, BSD is default
#CFLAGS = -O
CFLAGS = -O6 -s -DLINUX

# compiler libraries (-ltermcap, etc.)
LIBS =

purity: pt.c pt.h
	cc $(CFLAGS) -DLIBDIR=\"$(LIBDIR)\" -o purity pt.c $(LIBS)

clean:
	rm -f purity *.o

=== debian/changelog ===
purity (1-19) unstable; urgency=medium

  * QA upload.
  * Update DH level to 10.
  * debian/clean: created to remove renamed manpage.
  * debian/compat: updated to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright:
      - Using 1.0 format.
      - Full updated.
  * debian/manpages: created to install the manpage in the right place.
  * debian/rules:
      - Updated to new (reduced) format.
      - Created override_dh_installman to rename the manpage.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Fri, 30 Dec 2016 20:18:51 -0200

purity (1-18) unstable; urgency=low

  * QA upload (setting Maintainer to QA group)
  * change to format "3.0 (quilt)"
  * drop upstream changes easily done in debian/rules instead
  * modernize debian/rules
  - use dpkg-buildflags (Closes: 437831)
  - implement build-arch, build-indep
  - debhelper compatibility 7
  * avoid some compiler warnings
  * don't change binary's permissions in postinst but in package
  * Standards-Version to 3.9.2
  * fix some minor formating errors and misspellings lintian warns about

 -- Bernhard R. Link <brlink@debian.org>  Wed, 05 Oct 2011 18:10:50 +0200

purity (1-17) unstable; urgency=low

  * Changed fix for overflow to match that of security releases 1-9.1
    and 1-14.1

 -- Duncan Findlay <duncf@debian.org>  Thu, 12 Sep 2002 19:46:47 -0400

purity (1-16) unstable; urgency=low

  * Prevents possible buffer overflow (Closes: #154290)

 -- Duncan Findlay <duncf@debian.org>  Sun,  8 Sep 2002 22:41:15 -0400

purity (1-15) unstable; urgency=low

  * Change of e-mail address

 -- Duncan Findlay <duncf@debian.org>  Tue, 14 May 2002 19:02:47 -0400

purity (1-14) unstable; urgency=low

  * Change of e-mail address

 -- Duncan Findlay <duncf@rogers.com>  Sat, 24 Nov 2001 16:11:01 -0500

purity (1-13) unstable; urgency=low

  * fixed segmentation fault when saving high scores (closes: #114340) -
    thanks to Gergely Nagy for the patch 

 -- Duncan Findlay <duncf@home.com>  Wed,  3 Oct 2001 22:12:24 -0400

purity (1-12) unstable; urgency=low

  * new maintainer (closes: #113109)
  * fixed stty settings munging (closes: #112827, #112830) - thanks to
    Alan Shutko for the patch
  * added build depends (closes: #107311, #111794)
  * moved /var/lib/games to /var/games (closes: #107643)
  * (slightly) improved description (closes: #112806)

 -- Duncan Findlay <duncf@home.com>  Thu, 20 Sep 2001 22:54:11 -0400

purity (1-11) unstable; urgency=low

  * changed package from extra to optional
  * make directory /var/lib/games if it doesn't exist. (closes #107015)

 -- Aaron Howell <aaron@kitten.net.au>  Mon, 30 Jul 2001 07:55:40 +1000

purity (1-10) unstable; urgency=low

  * Fixed Readme file (closes #48608).
  * Applied patch from James Morrison to make purity build on SYSV
    platforms using termios.

 -- Aaron Howell <aaron@kitten.net.au>  Sun, 29 Jul 2001 17:15:53 +1000

purity (1-9) unstable; urgency=low

  * converted to debhelper
  * changed sunsite.unc.edu to metalab.unc.edu (fixes #33612)
  * moved tests under /usr/share/games/purity (fixes #44912)

 -- Aaron Howell <aaron@kitten.net.au>  Tue, 21 Sep 1999 10:39:15 +1000

purity (1-8) unstable; urgency=low

  * fixed line length of extended description to conform to policy,
    fixes #30086
  * changed maintainer address to aaron@kitten.net.au

 -- Aaron Howell <aaron@kitten.net.au>  Sat, 9 Jan 1999 15:25:59 +1000

purity (1-7) unstable; urgency=low

  * change maintainer address back to cnl, too many problems with mail to bayside.

 -- Aaron Howell <aaron@sunrise.cnl.com.au>  Sat, 8 Aug 1998 18:44:27 +1000

purity (1-6) unstable; urgency=low

  * fix source and postinst so scores are logged to /var/lib/games/purity.scores (#18586)

 -- Aaron Howell <aaron@sunrise.bayside.net.au>  Wed, 13 May 1998 10:27:03 +1000

purity (1-5) unstable; urgency=low

  * s/cnl.com.au/bayside.net.au/g

  * rebuild to fix md5sums-contains-nonexisting-file error from lintian fixes #19394

 -- Aaron Howell <aaron@sunrise.bayside.net.au>  Wed, 11 Mar 1998 16:18:27 +1000

purity (1-4) unstable; urgency=low

  * fix menu entry so purity gets started with a test that is actually included with the package. fixes #16478

 -- Aaron Howell <aaron@sunrise.cnl.com.au>  Sat,  3 Jan 1998 02:48:31 +1000

purity (1-3) unstable; urgency=low

  * removed offensive purity tests in accordance with recommendations on debian-devel, see README.debian for more information

 -- Aaron Howell <aaron@sunrise.cnl.com.au>  Sun, 30 Nov 1997 15:19:59 +1000

purity (1-2) unstable; urgency=low

  * reupload, hopefully this time my public key will be accepted

 -- Aaron Howell <aaron@sunrise.cnl.com.au>  Sat, 18 Oct 1997 23:30:59 +1000

purity (1-1) unstable; urgency=low

  * Changed termios.h to asm/termios.h so  purity will build ok.
  * Initial Release.

 -- Aaron Howell <aaron@sunrise.cnl.com.au>  Mon, 29 Sep 1997 10:30:17 +1000

=== debian/control ===
Source: purity
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>=10)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/purity.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/purity.git

Package: purity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: automated purity testing software
 For many years now, the purity test, (in various forms)
 has been widely available on the net.
 This package provides an automated way of taking the test.
 .
 Purity tests are an amusing way to see how much of a nerd or
 a hacker you are.  More tests are available in the purity-off
 package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ 

override_dh_installman:
	cp $(CURDIR)/pt.6 purity.6
	dh_installman

=== debian/watch ===
# there is only ftp://metalab.unc.edu/pub/Linux/games/amusements/purity.tar.Z
# without a version number in it...

## purity 1-17

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 BINDIR = /usr/games
 
 #   LIBDIR: the directory where the test datafiles are kept
-LIBDIR = /usr/games/lib/pt
+LIBDIR = /usr/share/games/purity
 
 # options for the c compiler (-g, -O, etc.)
 # Specify -DSYS for sysV, -DLINUX for linux, BSD is default
@@ -21,6 +21,10 @@
 
 purity: pt.c pt.h
 	cc $(CFLAGS) -DLIBDIR=\"$(LIBDIR)\" -o purity pt.c $(LIBS)
-
 clean:
-	rm -f purity *.o
+	rm purity
+install: purity
+	mkdir -p ${DESTDIR}/usr/games
+	install purity ${DESTDIR}/usr/games
+	mkdir -p ${DESTDIR}/usr/share/games/purity
+	cp -r tests/* ${DESTDIR}/usr/share/games/purity

=== debian/control ===
Source: purity
Section: games
Priority: optional
Maintainer: Duncan Findlay <duncf@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.7

Package: purity
Architecture: any
Depends: ${shlibs:Depends}
Description: Automated purity testing software.
 For many years now, the purity test, (in various forms)
 has been widely available on the net.
 This package provides an automated way of taking the test.
 .
 Purity tests are an amusing way to see how much of a nerd or
 a hacker you are.  More tests are available in the purity-off
 package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

#configure: configure-stamp
#configure-stamp:
#	dh_testdir
#	# Add here commands to configure the package.
#	
#
#	touch configure-stamp

# Following contained configure-stamp
build: build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) purity
	#/usr/bin/docbook-to-man debian/purity.sgml > purity.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/purity.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/purity


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
